# pwa-highlight

This package it's pwa-studio integration with original [Magento 2 extension](https://swissuplabs.com/custom-product-list-extension-for-magento-2.html)

- [Original magento 2 module](https://github.com/swissup/highlight)
- [Magento 2 module documentation](https://docs.swissuplabs.com/m2/extensions/highlight)

### Magento PWA Studio Setup

[Magento PWA Studio setup](https://magento.github.io/pwa-studio/tutorials/pwa-studio-fundamentals/project-setup/)

### Install module

```
yarn add @swissup/pwa-highlight
```


##### For developers

```
yarn add ssh://git@github.com:swissup/pwa-highlight.git
```

```
mkdir -p pwa-studio-custom-packages/swissup
cd pwa-studio-custom-packages/swissup

git clone git@github.com:swissup/pwa-highlight.git
cd pwa-highlight
pwd

# goto pwa project root dir
cd  ../../../pwa-studio-fundamentals

yarn add --dev file:[some path]/pwa-studio-custom-packages/swissup/pwa-highlight
yarn run watch
```
