module.exports = targets => {

    const builtins = targets.of('@magento/pwa-buildpack');

    builtins.specialFeatures.tap(flags => {
        flags[targets.name] = {
            esModules: true,
            cssModules: true,
            i18n: true
        };
    });

    targets
        .of('@magento/pagebuilder')
        .customContentTypes.tap(contentTypes => {
            contentTypes.add({
                contentType: 'highlight',
                importPath: require.resolve(
                    "../lib/components/ContentTypes/Highlight/index.js"
                )
            });
        });
}
